/// <reference types="typed-graphql" />
import { OpaqueToken } from '@angular/core';
import { ApolloQueryResult, WatchQueryOptions, MutationOptions, SubscriptionOptions } from 'apollo-client';
import { Observable } from 'rxjs/Observable';
import { FragmentDefinition } from 'graphql';
import { ApolloQueryObservable } from './ApolloQueryObservable';
import 'rxjs/add/observable/from';
import 'rxjs/add/observable/fromPromise';
export interface DeprecatedWatchQueryOptions extends WatchQueryOptions {
    fragments?: FragmentDefinition[];
}
export declare const AngularApolloClient: OpaqueToken;
export declare class Angular2Apollo {
    private client;
    constructor(client: any);
    watchQuery(options: DeprecatedWatchQueryOptions): ApolloQueryObservable<ApolloQueryResult>;
    query(options: DeprecatedWatchQueryOptions): Observable<ApolloQueryResult>;
    mutate(options: MutationOptions): Observable<ApolloQueryResult>;
    subscribe(options: SubscriptionOptions): Observable<any>;
}
